Set document properties
View as MarkdownPATCH
/v1/documents/{id}/propertiesMerges set into the document's properties and removes the keys in unset.
docs:writeUndoable
curl -X PATCH "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/properties" \
-H "Authorization: Bearer $LYDIE_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"set": {
"status": "done"
},
"unset": [
"due"
]
}'Path parameters
Body
Response
- idULID
- propertiesobject
- createdAttimestamp
- updatedAttimestamp
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"parentId": null,
"title": "Meeting notes",
"sortKey": "a0",
"properties": {
"status": "draft"
},
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z",
"deletedAt": null,
"createdBy": null,
"updatedBy": null
}Errors use one envelope for every endpoint. See Errors and versions.